> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List user stories

> Get active stories for a specific user.

**Permission Required:** `stories:read`



## OpenAPI

````yaml https://api.ofauth.com/openapi.json get /v2/access/users/:userId/stories
openapi: 3.1.0
info:
  title: OFAuth API
  version: 1.0.0
  description: >-
    OFAuth API including Account, Connections, Link, Access, Dynamic Rules,
    Vault+, and Realtime webhook contracts
  contact:
    email: support@ofauth.com
    url: https://ofauth.com/
servers:
  - url: https://api.ofauth.com
security:
  - ApiKey: []
tags:
  - name: Account
    description: Account management endpoints.
  - name: Connections
    description: Connection management endpoints.
  - name: Link
    description: Link authentication and session endpoints.
  - name: Access
    description: All Access related endpoints.
  - name: Analytics
    description: 'Access: charts, tops, and performance metrics.'
  - name: Earnings
    description: 'Access: earnings charts, transactions, and chargebacks.'
  - name: Messages
    description: 'Access: messaging, chats, queue, and mass messaging.'
  - name: Posts
    description: 'Access: create, edit, list, and manage posts.'
  - name: Promotions
    description: 'Access: promotions, trials, and bundles.'
  - name: Users
    description: 'Access: user profiles, subscriptions, and actions.'
  - name: Vault
    description: 'Access: vault folders, media, and management.'
  - name: Upload
    description: 'Access: media upload and processing.'
  - name: Self
    description: 'Access: authenticated account details and settings.'
  - name: Stories
    description: 'Access: stories listing and management.'
  - name: Subscriptions
    description: 'Access: subscription offers, discounts, and management.'
  - name: Realtime
    description: >-
      Realtime webhook delivery contracts, including relayed OnlyFans websocket
      events.
  - name: Dynamic Rules
    description: Dynamic signing rules operations.
  - name: Vault+
    description: Vault+ caching and management.
externalDocs:
  description: OFAuth Developer Documentation
  url: https://docs.ofauth.com
paths:
  /v2/access/users/:userId/stories:
    get:
      tags:
        - Stories
      summary: List user stories
      description: |-
        Get active stories for a specific user.

        **Permission Required:** `stories:read`
      parameters:
        - schema:
            type: string
            pattern: ^\d+$
            description: OnlyFans user ID
          required: true
          description: OnlyFans user ID
          name: userId
          in: path
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: number
                    userId:
                      type: number
                    isReady:
                      type: boolean
                    hasPost:
                      type: boolean
                    isWatched:
                      type: boolean
                    media:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: number
                          type:
                            type: string
                          convertedToVideo:
                            type: boolean
                          canView:
                            type: boolean
                          hasError:
                            type: boolean
                          createdAt:
                            type: string
                            nullable: true
                          isReady:
                            type: boolean
                          duration:
                            type: number
                          hasCustomPreview:
                            type: boolean
                          videoSources:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                - nullable: true
                                - nullable: true
                          files:
                            type: object
                            properties:
                              full:
                                type: object
                                properties:
                                  url:
                                    type: string
                                  width:
                                    type: number
                                  height:
                                    type: number
                                  size:
                                    type: number
                                  sources:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                        width:
                                          type: number
                                        height:
                                          type: number
                                        type:
                                          type: string
                                      required:
                                        - url
                                required:
                                  - url
                                  - sources
                              thumb:
                                type: object
                                properties:
                                  url:
                                    type: string
                                  width:
                                    type: number
                                  height:
                                    type: number
                                  size:
                                    type: number
                                required:
                                  - url
                              preview:
                                type: object
                                properties:
                                  url:
                                    type: string
                                  width:
                                    type: number
                                  height:
                                    type: number
                                  size:
                                    type: number
                                  options:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                        width:
                                          type: number
                                        height:
                                          type: number
                                        type:
                                          type: string
                                      required:
                                        - url
                                required:
                                  - url
                                  - options
                              squarePreview:
                                type: object
                                properties:
                                  url:
                                    type: string
                                  width:
                                    type: number
                                  height:
                                    type: number
                                  size:
                                    type: number
                                required:
                                  - url
                            required:
                              - full
                        required:
                          - id
                          - type
                          - convertedToVideo
                          - canView
                          - hasError
                          - isReady
                    createdAt:
                      type: string
                      nullable: true
                    question:
                      nullable: true
                    canLike:
                      type: boolean
                    isLiked:
                      type: boolean
                  required:
                    - id
                    - userId
                    - isReady
                    - media
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '429':
          description: Rate Limit Exceeded
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
      security:
        - ApiKey: []
          ConnectionId: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      name: apiKey
      in: header
      description: >-
        Your OFAuth [API key](/quickstart#2-copy-your-api-key) for
        authenticating requests.
    ConnectionId:
      type: apiKey
      name: x-connection-id
      in: header
      description: >-
        Requires a [connection](/guides/connections) via the x-connection-id
        header.

````